Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000908 [Piwigo] template crash always 2008.12.14 13:46 2009.07.05 12:22
Reporter flop25 View Status public  
Assigned To Pat
Priority normal Resolution fixed Platform easy php 2
Status closed   OS xp sp3
Projection none   OS Version
ETA none Fixed in Version 2.0.0 Product Version 2.0.0RC4
  Target Version Product Build svn 2977
Summary 0000908: partie admin erreur Smarty
Description Voici l'erreur en partie admin

Warning: preg_match() [function.preg-match]: Compilation failed: repeated subpattern is too long at offset 18454 in F:\Program Files\EasyPHP\www\SITE\pwg_test\phpwebgallery\include\smarty\libs\Smarty_Compiler.class.php on line 454

Fatal error: Smarty error: [in admin.tpl line 1]: syntax error: unrecognized tag: php (Smarty_Compiler.class.php, line 455) in F:\Program Files\EasyPHP\www\SITE\pwg_test\phpwebgallery\include\smarty\libs\Smarty.class.php on line 1092

rien d'autre.
Steps To Reproduce
Additional Information plugin multi view activé seulement
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0002477)
VDigital (reporter)
2008.12.17 08:51

Passage d'une RCx à une SVN récente
Problème identique...

(Clear du cache: rien de changé)
(Analyse encours)
(0002478)
rub (developer)
2008.12.17 11:42

Ca a été vu sur le forum dans la partie privé.

On va faire un rollback sur la version de smarty.

Cf le thread chez smarty: http://www.phpinsider.com/smarty-forum/viewtopic.php?t=14563 [^]

Tu peux aussi mettre à jour pour tester le fichier http://smarty-php.googlecode.com/svn/trunk/libs/Smarty_Compiler.class.php [^]

On va faire le rollback ASAP.
(0002479)
VDigital (reporter)
2008.12.19 19:04

Smarty 2.6.22 Released
(0002481)
Pat (developer)
2008.12.20 00:18

Resolved with spaty 2.6.22

- Issue History
Date Modified Username Field Change
2008.12.14 13:46 flop25 New Issue
2008.12.14 13:46 flop25 browser => any
2008.12.14 13:46 flop25 Web server => Apache 1.3.x
2008.12.17 08:51 VDigital Note Added: 0002477
2008.12.17 08:52 VDigital Severity block => crash
2008.12.17 11:42 rub Note Added: 0002478
2008.12.17 11:42 rub Status new => assigned
2008.12.17 11:42 rub Assigned To => Pat
2008.12.19 19:04 VDigital Note Added: 0002479
2008.12.20 00:18 Pat Status assigned => resolved
2008.12.20 00:18 Pat Fixed in Version => 2.0.0
2008.12.20 00:18 Pat Resolution open => fixed
2008.12.20 00:18 Pat Note Added: 0002481
2009.02.03 11:12 julienferre Issue Monitored: julienferre
2009.07.05 12:22 plg Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker